Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#1141 - apache is not php5 compatible

Attached to Project: Arch Linux
Opened by Damir Perisa (damir.perisa) - Saturday, 17 July 2004, 12:41 GMT
Task Type Bug Report
Category Packages: Current
Status Closed
Assigned To No-one
Architecture not specified
Severity High
Priority Normal
Reported Version 0.7 Wombat
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

[damir@Asteraceae /]$ /usr/sbin/apachectl start
Syntax error on line 262 of /etc/httpd/conf/httpd.conf:
Cannot load /usr/lib/apache/libphp4.so into server: /usr/lib/apache/libphp4.so: cannot open shared object file: No such file or directory
[damir@Asteraceae /]$
This task depends upon

Closed by  Judd Vinet (judd)
Sunday, 18 July 2004, 21:16 GMT
Reason for closing:  Not a bug
Comment by Julian Wiesener (yofuh) - Saturday, 17 July 2004, 19:08 GMT
Its not a Bug, update your config file:

LoadModule php5_module lib/apache/libphp5.so

<IfModule mod_php5.c>
DirectoryIndex index.php index.html
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps
</IfModule>


The Cofigfile in the current apache package is up to date.
Comment by Damir Perisa (damir.perisa) - Saturday, 17 July 2004, 22:56 GMT
ohh ... if it is in the default config correctly, then it's no bug, sorry

i changed

LoadModule php4_module lib/apache/libphp4.so

to

LoadModule php5_module lib/apache/libphp5.so

and apache is working - thanx

Loading...